# Retrieve a List of Card Contracts for a Client source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/query-cms-to-get-particular-data/retrieve-list-card-con-for-client/index.md ## Test case -- Success {#test-case--success} This test case describes retrieving a list of card contracts stored in the CMS for a specified client. Note: For the `clients/{client_id}/card-contracts`, the Sandbox stores two card contracts with different `statusCode` and `dateOpen` values. You can test the optional filtering by using the `statuses` and `creation_date_from` query parameters. **Sample request**
`GET /clients/40000/card-contracts?offset=0&limit=2` **Sample response** `200` ```JSON { "count": 2, "limit": 2, "offset": 0, "total": 2, "clientCardContracts": [ { "accountContractId": 60001, "accountContractNumber": "ABC_121235694296313", "amendmentDate": "2019-06-25T12:51:30Z", "amendmentOfficerId": 14300, "amendmentOfficerName": "John Smith", "availableBalance": 1401.21, "blockedAmount": 751.28, "branchCode": "BRANCH_A", "branchName": "Branch A", "cardExpiryDate": "3004", "cardContractId": 70001, "cardContractName": "Card contract name", "cardContractNumber": "123456______3456", "cardContractStatusData": { "productionStatus": "Ready", "externalStatusCode": "00", "externalStatusName": "Card OK", "statusCode": "00", "statusName": "Card OK" }, "cardholderId": 41537005, "cardholderShortName": "Madley", "cbsNumber": "CBS83863371812033", "creditLimit": 1231.78, "currency": "EUR", "currencyNumericCode": "978", "dateOpen": "2019-06-25", "embossedData": { "companyName": "COMPANY", "firstName": "JOHN", "lastName": "DOE", "title": "MR" }, "liabilityCategory": "Y", "maxPinAttempts": 55, "parentProductCode": "ACC_EUR", "pinAttemptsCounter": 55, "previousCardContractId": 77691090, "previousCardContractNumber": "535773______2767", "productCode": "STD-MCDEBVF-EUR", "productName": "Standard Mastercard Individual Debit Card", "sequenceNumber": "1" }, { "accountContractId": 60002, "accountContractNumber": "ABC_121235694296314", "amendmentDate": "2019-06-25T12:51:30Z", "amendmentOfficerId": 14300, "amendmentOfficerName": "John Smith", "availableBalance": 1401.21, "blockedAmount": 751.28, "branchCode": "BRANCH_A", "branchName": "Branch A", "cardExpiryDate": "3004", "cardContractId": 70002, "cardContractName": "Card contract name", "cardContractNumber": "123456______3456", "cardContractStatusData": { "productionStatus": "Ready", "externalStatusCode": "05", "externalStatusName": "Card Do not honor", "statusCode": "05", "statusName": "Card Do not honor" }, "cardholderId": 41537005, "cardholderShortName": "Madley", "cbsNumber": "CBS83863371812033", "creditLimit": 1231.78, "currency": "EUR", "currencyNumericCode": "978", "dateOpen": "2022-05-04", "embossedData": { "companyName": "COMPANY", "firstName": "JOHN", "lastName": "DOE", "title": "MR" }, "liabilityCategory": "Y", "maxPinAttempts": 55, "parentProductCode": "ACC_EUR", "pinAttemptsCounter": 55, "previousCardContractId": 77691091, "previousCardContractNumber": "535773______2767", "productCode": "STD-MCDEBVF-EUR", "productName": "Standard Mastercard Individual Debit Card", "sequenceNumber": "1" } ] } ``` ## Test case -- Success -- No Card Contracts linked to a Client {#test-case--success--no-card-contracts-linked-to-a-client} This test case describes retrieving a list of card contracts for a specified client that does not have any linked card contracts in the CMS. For this test case, use the following information in the request: | Path parameter | Available value | |----------------|-----------------| | `client_id` | 45001 | **Sample request** `GET /clients/45001/card-contracts?offset=0&limit=1` **Sample response** `200` ```JSON { "count": 0, "limit": 1, "offset": 0, "total": 0, "clientCardContracts": [] } ```